Viterbi.two {snapCGH} | R Documentation

## A scaled Viterbi algorithm for allocating clones to one of two underlying states.

### Description

A work horse of the fit.model function. It uses a scaled version of the Viterbi algorithm to allocate clones to one of two underlying states as fitted using a heterogeneous HMM.

### Usage

    Viterbi.two(y, BFGS.output, BFGS.trans.mat)

### Arguments

`y` | the data to be allocated to states
`BFGS.output` | The output obtained from the find.param.two function
`BFGS.trans.mat` | A list of the heterogeneous transition matrices

### Value

A vector of numbers indicating to which state clones are allocated to.

### Author(s)

John Marioni

[Package snapCGH version 1.2.0 Index]